# This file test the combining of multiple consecuative "+" and "-" symbols.
# verbose: plus-minus

# This particular version of this file is meant to test things that people
# might actually type, in particular with commas, and ensure that Sarcasm
# interprets these things correctly.  This is particularly important since
# Sarcasm will ignore commas, and so it must interpret things as if it didn't.

# Because of the comma requirement, this file is intended to list things only
# a sane person would type, not insane stuff like "bytes 1,- 2" which deserves
# to be misinterpreted if you ask me.

# To aid interpretation of the results, things are numbered in sequence, a
# new sequence indicating the beginning of a new entity.  ...if you know
# what I mean.  If not, then, well...

# If anyone can replace this file with something that provably contains
# every possibile piece of sanity, I'd love to have a copy of it.

bytes 1, +1, -1, 1+2, -1+2, -1 + 2, -1 + -2, -1+-2
bytes one, +one, -one, one+two, -one+two, -one + two, -one + -two, -one+-two
bytes 1,+1,-1,1+2,-1+2,-1 + 2,-1 + -2,-1+-2
bytes one,+one,-one,one+two,-one+two,-one + two,-one + -two,-one+-two
